#
#   R8051.X          Definition der Special Function Register (SFR)
#                    des 8051. Um Platz im Wrterbuch zu sparen, sind
#                    die Definitionen, die nicht der Programmierung der
#                    On-Chip Peripherie dienen, auskommentiert. Sie werden
#                    Bei der Programmierung in PFX normalerweise nicht
#                    bentigt.
#
#   Copyright (C)    1994 Markus Bauer
#

   80H FIXVAR P0
   90H FIXVAR P1
   A0H FIXVAR P2
   B0H FIXVAR P3
#  D0H FIXVAR PSW
#  E0H FIXVAR ACC
#  F0H FIXVAR B
#  81H FIXVAR SP
#  82H FIXVAR DPL
#  83H FIXVAR DPH
   87H FIXVAR PCON
   88H FIXVAR TCON
   89H FIXVAR TMOD
   8AH FIXVAR TL0
   8BH FIXVAR TL1
   8CH FIXVAR TH0
   8DH FIXVAR TH1
   A8H FIXVAR IE
   B8H FIXVAR IP
   98H FIXVAR SCON
   99H FIXVAR SBUF


#  Bit-Definitionen im PSW

#  D7H BITVAR CY
#  D6H BITVAR AC
#  D5H BITVAR F0
#  D4H BITVAR RS1
#  D3H BITVAR RS0
#  D2H BITVAR OV
#  D0H BITVAR P

#  Bit-Definitionen in TCON

   8FH BITVAR TF1
   8EH BITVAR TR1
   8DH BITVAR TF0
   8CH BITVAR TR0
   8BH BITVAR IE1
   8AH BITVAR IT1
   89H BITVAR IE0
   88H BITVAR IT0

#  Bit-Definitionen in IE

   AFH BITVAR EA
   ACH BITVAR ES
   ABH BITVAR ET1
   AAH BITVAR EX1
   A9H BITVAR ET0
   A8H BITVAR EX0

#  Bit-Definitionen in IP

   BCH BITVAR PS
   BBH BITVAR PT1
   BAH BITVAR PX1
   B9H BITVAR PT0
   B8H BITVAR PX0

#  Bit-Definitionen in P3

   B7H BITVAR RD
   B6H BITVAR WR
   B5H BITVAR T1
   B4H BITVAR T0
   B3H BITVAR INT1
   B2H BITVAR INT0
   B1H BITVAR TXD
   B0H BITVAR RXD

#  Bit-Definitionen in SCON

   9FH BITVAR SM0
   9EH BITVAR SM1
   9DH BITVAR SM2
   9CH BITVAR REN
   9BH BITVAR TB8
   9AH BITVAR RB8
   99H BITVAR TI
   98H BITVAR RI

