#
#  SERIAL1.X
#
#  Definiert die Funktionen PUTCHAR und GETCHAR fr die Zeichen Ein-/Ausgabe
#  ber die interne serielle Schnittstelle. Beide Funktionen arbeiten
#  ungepuffert (serial2.x enthlt eine gepufferte, interruptgesteuerte
#  Variante).
#
#  Copyright (C) 1994 Markus Bauer
#



: PUTCHAR ( ch -> )
#
#  wartet bis das TI Flag anzeigt, da das Senderegister der seriellen
#  Schnittstelle frei. Dann wird ein Zeichen vom Stapel genommen und
#  ausgegeben
#

   BEGIN TI@ UNTIL            # warte bis Senderegister frei
   0 TI!                      # lsche TI Flag
   SBUF!                      # nehme ein Byte vom Stapel und gebe es aus

;



: GETCHAR ( -> ch )
#
#  wartet, bis ein Zeichen im Empfangspuffer der seriellen Schnittstelle
#  vorliegt und legt dieses auf den Stapel
#

   BEGIN RI@ UNTIL            # warte bis ein Zeichen da ist
   SBUF@                      # lege es auf den Stapel
   0 RI!                      # lsche RI Flag

;

